/**/

CALL RxFuncAdd 'SysCreateShadow','RexxUtil','SysCreateShadow'
CALL RxFuncAdd 'SysSetObjectData','RexxUtil','SysSetObjectData'

org=Directory()
dir=org
IF Right(dir,1)<>'\' THEN dir=dir||'\'

CALL SysSetObjectData org,'ICONFILE='||dir||'I\ICON2!1.ICO'
SAY

IF Translate(Value('ICONLIB',,'ENVIRONMENT'))<>Translate(org) THEN DO
   SAY 'Non-fatal warning, ICONLIB is not set to:' org
   SAY
END

IF SysCreateShadow(org,'<WP_DESKTOP>') THEN SAY 'Shadow of directory' org 'created.'

'@DEL INSTALL.CMD'

EXIT